Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config
Class DefaultMuleConfiguration

    java.lang.Object
      org.mule.config.DefaultMuleConfiguration

All Implemented Interfaces:
  MuleConfiguration, MuleContextAware

    public class DefaultMuleConfiguration

extends Object
implements MuleConfiguration, MuleContextAware

Configuration info. which can be set when creating the MuleContext but becomes immutable after starting the MuleContext.

Field Summary
`static String[]` | `DEFAULT_STACKTRACE_FILTER`
`static boolean` | `fullStackTraces` When false (default), some internal Mule entries are removed from exception stacktraces for readability.
`protected Log` | `logger`
`static String[]` | `stackTraceFilter` A comma-separated list of internal packages/classes which are removed from sanitized stacktraces.
`static boolean` | `verboseExceptions` When false (default), only a summary of the root exception and trail is provided.

Constructor Summary
`DefaultMuleConfiguration()`
`DefaultMuleConfiguration(boolean containerMode)`

Method Summary
`protected void` | `applySystemProperties()` Apply any settings which come from the JVM system properties.
`boolean` | `equals(Object obj)`
`String` | `getClusterId()`
`String` | `getDefaultEncoding()`
`int` | `getDefaultQueueTimeout()`
`int` | `getDefaultResponseTimeout()`
`int` | `getDefaultTransactionTimeout()`
`String` | `getDomainId()`
`String` | `getId()`
`String` | `getMuleHomeDirectory()`
`int` | `getShutdownTimeout()`
`String` | `getSystemModelType()`
`String` | `getSystemName()`
`String` | `getWorkingDirectory()`
`int` | `hashCode()`
`boolean` | `isAutoWrapMessageAwareTransform()`
`boolean` | `isCacheMessageAsBytes()`
`boolean` | `isCacheMessageOriginalPayload()`
`boolean` | `isClientMode()`
`boolean` | `isContainerMode()`
`boolean` | `isEnableStreaming()`
`boolean` | `isValidateExpressions()`
`void` | `setAutoWrapMessageAwareTransform(boolean autoWrapMessageAwareTransform)`
`void` | `setCacheMessageAsBytes(boolean cacheMessageAsBytes)`
`void` | `setCacheMessageOriginalPayload(boolean cacheMessageOriginalPayload)`
`void` | `setClientMode(boolean clientMode)`
`void` | `setClusterId(String clusterId)`
`void` | `setDefaultEncoding(String encoding)`
`void` | `setDefaultQueueTimeout(int defaultQueueTimeout)`
`void` | `setDefaultResponseTimeout(int responseTimeout)`
`void` | `setDefaultSynchronousEndpoints(boolean synchronous)`
`void` | `setDefaultTransactionTimeout(int defaultTransactionTimeout)`
`void` | `setDomainId(String domainId)`
`void` | `setEnableStreaming(boolean enableStreaming)`
`void` | `setId(String id)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setShutdownTimeout(int shutdownTimeout)`
`void` | `setSystemModelType(String systemModelType)`
`void` | `setWorkingDirectory(String workingDirectory)`
`protected void` | `validateEncoding()`
`protected void` | `validateXML()` Mule needs a proper JAXP implementation and will complain when run with a plain JDK 1.4.
`protected boolean` | `verifyContextNotInitialized()`
`protected boolean` | `verifyContextNotStarted()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STACKTRACE_FILTER

    public static final String[] DEFAULT_STACKTRACE_FILTER

### fullStackTraces

    public static boolean fullStackTraces

  When false (default), some internal Mule entries are removed from exception stacktraces for readability.

  See Also:
    `stackTraceFilter`

### verboseExceptions

    public static boolean verboseExceptions

  When false (default), only a summary of the root exception and trail is provided. If this flag is false, full exception information is reported. Switching on DEBUG level logging with automatically set this flag to true.

### stackTraceFilter

    public static String[] stackTraceFilter

  A comma-separated list of internal packages/classes which are removed from sanitized stacktraces. Matching is done via string.startsWith().

  See Also:
    `fullStackTraces`

### logger

    protected transient Log logger

Constructor Detail

### DefaultMuleConfiguration

    public DefaultMuleConfiguration()

### DefaultMuleConfiguration

    public DefaultMuleConfiguration(boolean containerMode)

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### applySystemProperties

    protected void applySystemProperties()

  Apply any settings which come from the JVM system properties.

### validateEncoding

    protected void validateEncoding()
                             throws FatalException

  Throws:
    `FatalException`

### validateXML

    protected void validateXML()
                        throws FatalException

  Mule needs a proper JAXP implementation and will complain when run with a plain JDK 1.4. Use the supplied launcher or specify a proper JAXP implementation via `-Djava.endorsed.dirs`. See the following URLs for more information:
  - Xerces
  - Xalan
  - Endorsed Standards Override Mechanism

  Throws:
    `FatalException`

### setDefaultSynchronousEndpoints

    public void setDefaultSynchronousEndpoints(boolean synchronous)

### getDefaultResponseTimeout

    public int getDefaultResponseTimeout()

  Specified by:
    `getDefaultResponseTimeout` in interface `MuleConfiguration`

### setDefaultResponseTimeout

    public void setDefaultResponseTimeout(int responseTimeout)

### getWorkingDirectory

    public String getWorkingDirectory()

  Specified by:
    `getWorkingDirectory` in interface `MuleConfiguration`

### getMuleHomeDirectory

    public String getMuleHomeDirectory()

  Specified by:
    `getMuleHomeDirectory` in interface `MuleConfiguration`

### setWorkingDirectory

    public void setWorkingDirectory(String workingDirectory)

### getDefaultTransactionTimeout

    public int getDefaultTransactionTimeout()

  Specified by:
    `getDefaultTransactionTimeout` in interface `MuleConfiguration`

### setDefaultTransactionTimeout

    public void setDefaultTransactionTimeout(int defaultTransactionTimeout)

### isValidateExpressions

    public boolean isValidateExpressions()

  Specified by:
    `isValidateExpressions` in interface `MuleConfiguration`

### isClientMode

    public boolean isClientMode()

  Specified by:
    `isClientMode` in interface `MuleConfiguration`

### getDefaultEncoding

    public String getDefaultEncoding()

  Specified by:
    `getDefaultEncoding` in interface `MuleConfiguration`

### setDefaultEncoding

    public void setDefaultEncoding(String encoding)

### getId

    public String getId()

  Specified by:
    `getId` in interface `MuleConfiguration`

### setId

    public void setId(String id)

### getClusterId

    public String getClusterId()

  Specified by:
    `getClusterId` in interface `MuleConfiguration`

### setClusterId

    public void setClusterId(String clusterId)

### getDomainId

    public String getDomainId()

  Specified by:
    `getDomainId` in interface `MuleConfiguration`

### setDomainId

    public void setDomainId(String domainId)

### getSystemModelType

    public String getSystemModelType()

  Specified by:
    `getSystemModelType` in interface `MuleConfiguration`

### setSystemModelType

    public void setSystemModelType(String systemModelType)

### setClientMode

    public void setClientMode(boolean clientMode)

### getSystemName

    public String getSystemName()

  Specified by:
    `getSystemName` in interface `MuleConfiguration`

### isAutoWrapMessageAwareTransform

    public boolean isAutoWrapMessageAwareTransform()

  Specified by:
    `isAutoWrapMessageAwareTransform` in interface `MuleConfiguration`

### setAutoWrapMessageAwareTransform

    public void setAutoWrapMessageAwareTransform(boolean autoWrapMessageAwareTransform)

### isCacheMessageAsBytes

    public boolean isCacheMessageAsBytes()

  Specified by:
    `isCacheMessageAsBytes` in interface `MuleConfiguration`

### setCacheMessageAsBytes

    public void setCacheMessageAsBytes(boolean cacheMessageAsBytes)

### isCacheMessageOriginalPayload

    public boolean isCacheMessageOriginalPayload()

  Specified by:
    `isCacheMessageOriginalPayload` in interface `MuleConfiguration`

### setCacheMessageOriginalPayload

    public void setCacheMessageOriginalPayload(boolean cacheMessageOriginalPayload)

### isEnableStreaming

    public boolean isEnableStreaming()

  Specified by:
    `isEnableStreaming` in interface `MuleConfiguration`

### setEnableStreaming

    public void setEnableStreaming(boolean enableStreaming)

### verifyContextNotInitialized

    protected boolean verifyContextNotInitialized()

### verifyContextNotStarted

    protected boolean verifyContextNotStarted()

### getDefaultQueueTimeout

    public int getDefaultQueueTimeout()

  Specified by:
    `getDefaultQueueTimeout` in interface `MuleConfiguration`

### setDefaultQueueTimeout

    public void setDefaultQueueTimeout(int defaultQueueTimeout)

### getShutdownTimeout

    public int getShutdownTimeout()

  Specified by:
    `getShutdownTimeout` in interface `MuleConfiguration`

### setShutdownTimeout

    public void setShutdownTimeout(int shutdownTimeout)

### isContainerMode

    public boolean isContainerMode()

  Specified by:
    `isContainerMode` in interface `MuleConfiguration`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.